ModifyNetworkInterfaceAttribute
1. API Description
This API (ModifyNetworkInterfaceAttribute) is used to modify the attributes of the vNIC.
2. Input Parameters
The following request parameter list only provides API request parameters.
nicId
Yes
String
ID of the network interface to be modified.
It can be obtained by calling DescribeNetworkInterfaces.
name
No
String
vNIC name.
The length is 2 to 63 characters. Only letters, numbers, -/_ and periods (.) are supported. The name must start and end with a number or a letter.
securityGroupId
No
String
ID of the target security group to be bound to the network interface.
A network interface can be associated with only one security group for now.
Specifying this field unbinds the original security group of the network interface.
It can be obtained by calling DescribeSecurityGroups.
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
4. Code Example
Modify the vNIC name and associated security group.
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyNetworkInterfaceAttribute
<Common Request Params>
Request:
{
"nicId": "<nicId>",
"name": "Test-vNIC",
"securityGroupId": "<securityGroupId>"
}
Response:
{
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
"response": {
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
}
}5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
404
INVALID_NIC_NOT_FOUND
vNIC does not exist.
404
INVALID_SECURITY_GROUP_NOT_FOUND
The specified security group does not exist.
400
INVALID_NIC_STATUS
Current vNIC state does not allow this operation.
Last updated